GNU bug report logs - #37025
27.0.50; smime signing and encryption does not work any longer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Uwe Brauer <oub@HIDDEN>; dated Wed, 14 Aug 2019 10:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Aug 2019 16:12:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 12:12:54 2019
Received: from localhost ([127.0.0.1]:52346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyIMw-0002Ts-10
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 12:12:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:33415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyIMu-0002Tk-I5
 for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 12:12:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44080)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyIMq-0000aQ-KY
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 12:12:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_05,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyIMm-0001a4-8S
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 12:12:48 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:35274
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hyIMm-0001Y4-0t
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 12:12:44 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyIMi-0016I7-Cr
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 18:12:40 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Uwe Brauer <oub@HIDDEN>
Subject: Re: bug#37025: [found the culprit]
Date: Thu, 15 Aug 2019 18:12:27 +0200
Message-ID: <877e7e5rx0.fsf@HIDDEN>
References: <87imr06o42.fsf@HIDDEN> <8736i3y3uw.fsf@HIDDEN>
 <87ef1n4l1c.fsf@HIDDEN> <bs8srvb412.fsf@HIDDEN>
 <87imqz6nl3.fsf@HIDDEN> <875zmyh0ny.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256; protocol="application/pkcs7-signature"
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Mail-Copies-To: never
Cancel-Lock: sha1:hlP2dyKGwwf2ENOSAR4TjTcMKZ4=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

--=-=-=
Content-Type: text/plain

>>> "TL" == Teemu Likonen <tlikonen@HIDDEN> writes:

   > Teemu Likonen [2019-08-15T07:48:24+03] wrote:
   >> So there should also be version checking in epg.el's epg-start-sign
   >> and epg-start-encrypt functions (or somewhere).

   > OK. Here's a patch with version checking. This patch includes everything
   > in the previous patch (that is, use "--sender" only with OpenPGP
   > protocol) and additionally this checks if gpg is at least version 2.1.15
   > which introduced the "--sender" option.

Thanks! Any idea when this patch will be applied?

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s
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--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at 37025 <at> debbugs.gnu.org:


Received: (at 37025) by debbugs.gnu.org; 15 Aug 2019 16:08:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 12:08:13 2019
Received: from localhost ([127.0.0.1]:52318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyIIO-0002Jv-P4
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 12:08:13 -0400
Received: from mail.kapsi.fi ([91.232.154.25]:38857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dtw@HIDDEN>) id 1hyIIM-0002Jj-Nx
 for 37025 <at> debbugs.gnu.org; Thu, 15 Aug 2019 12:08:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kapsi.fi;
 s=20161220; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eCT2OV/qB5yk9eUafbjfHHWiKoTIeQ2Kfb1Ve2xVlCw=; b=DB/Uvh9nzADP3G2im3XA/qEc3j
 DpcHHT2WyjOvS1pwYnuqeaGol+qdyclGVl0JQfKa3NrIeqdyXIt3D/YM7uW/J8sWHLUTmrcg1gybi
 poj+vJSdnT25hwvshF1PKcmsXiwK5E1YojpBe1mzcj0zk3thq/F+082aJFc8zpgtrpdFVRmfBR59K
 6/pluMYxC1aHDXwQBvTbRNu5R5FBcsaiGk0xhGwaNv01egZ7J7jWP9yg/ozAlx1S+RJMALBM61j5l
 3P6FBbfcb48iesSRA1ufMnCZN6UKtLkbj683+eznHWjulmsfnti6+Kw76ZuKMN6nrpEQ4zotzdZPP
 fw/23yDw==;
Received: from mobile-access-bcee81-196.dhcp.inet.fi ([188.238.129.196]
 helo=mithlond)
 by mail.kapsi.fi with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <tlikonen@HIDDEN>)
 id 1hyIIK-0001iE-Hi; Thu, 15 Aug 2019 19:08:08 +0300
From: Teemu Likonen <tlikonen@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#37025: [found the culprit]
In-Reply-To: <87imqz6nl3.fsf@HIDDEN>
References: <87imr06o42.fsf@HIDDEN> <8736i3y3uw.fsf@HIDDEN>
 <87ef1n4l1c.fsf@HIDDEN> <bs8srvb412.fsf@HIDDEN>
 <87imqz6nl3.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 19:08:01 +0300
Message-ID: <875zmyh0ny.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-SA-Exim-Connect-IP: 188.238.129.196
X-SA-Exim-Mail-From: tlikonen@HIDDEN
X-SA-Exim-Scanned: No (on mail.kapsi.fi); SAEximRunCond expanded to false
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 37025
Cc: oub@HIDDEN, 37025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Teemu Likonen [2019-08-15T07:48:24+03] wrote:

> So there should also be version checking in epg.el's epg-start-sign
> and epg-start-encrypt functions (or somewhere).

OK. Here's a patch with version checking. This patch includes everything
in the previous patch (that is, use "--sender" only with OpenPGP
protocol) and additionally this checks if gpg is at least version 2.1.15
which introduced the "--sender" option.


diff --git a/lisp/epg.el b/lisp/epg.el
index ce58c520f1..838cf6b9ea 100644
=2D-- a/lisp/epg.el
+++ b/lisp/epg.el
@@ -1617,8 +1617,13 @@ epg-start-sign
 				     (epg-sub-key-id
 				      (car (epg-key-sub-key-list signer)))))
 			     (epg-context-signers context)))
=2D                     (let ((sender (epg-context-sender context)))
=2D                       (when (stringp sender)
+                     (let ((sender (epg-context-sender context))
+                           (version (cdr (assq 'version (epg-find-configur=
ation
+                                                         'OpenPGP)))))
+                       (when (and (eql 'OpenPGP (epg-context-protocol cont=
ext))
+                                  (stringp version)
+                                  (version<=3D "2.1.15" version)
+                                  (stringp sender))
                          (list "--sender" sender)))
 		     (epg--args-from-sig-notations
 		      (epg-context-sig-notations context))
@@ -1714,9 +1719,15 @@ epg-start-encrypt
 					  (car (epg-key-sub-key-list
 						signer)))))
 				 (epg-context-signers context))))
=2D		     (if sign
=2D                         (let ((sender (epg-context-sender context)))
=2D                           (when (stringp sender)
+		     (if (and sign
+                              (eql 'OpenPGP (epg-context-protocol context)=
))
+                         (let ((sender (epg-context-sender context))
+                               (version (cdr (assq 'version
+                                                   (epg-find-configuration
+                                                    'OpenPGP)))))
+                           (when (and (stringp version)
+                                      (version<=3D "2.1.15" version)
+                                      (stringp sender))
                              (list "--sender" sender))))
                      (if sign
 			 (epg--args-from-sig-notations
diff --git a/lisp/gnus/mml-sec.el b/lisp/gnus/mml-sec.el
index 07d2028534..e0ec829617 100644
=2D-- a/lisp/gnus/mml-sec.el
+++ b/lisp/gnus/mml-sec.el
@@ -915,7 +915,7 @@ mml-secure-epg-encrypt
     (when sign
       (setq signers (mml-secure-signers context signer-names))
       (setf (epg-context-signers context) signers)
=2D      (when mml-secure-openpgp-sign-with-sender
+      (when (and (eq 'OpenPGP protocol) mml-secure-openpgp-sign-with-sende=
r)
         (setf (epg-context-sender context) sender)))
     (when (eq 'OpenPGP protocol)
       (setf (epg-context-armor context) t)
@@ -945,10 +945,10 @@ mml-secure-epg-sign
 	 signature micalg)
     (when (eq 'OpenPGP protocol)
       (setf (epg-context-armor context) t)
=2D      (setf (epg-context-textmode context) t))
+      (setf (epg-context-textmode context) t)
+      (when mml-secure-openpgp-sign-with-sender
+        (setf (epg-context-sender context) sender)))
     (setf (epg-context-signers context) signers)
=2D    (when mml-secure-openpgp-sign-with-sender
=2D      (setf (epg-context-sender context) sender))
     (when (mml-secure-cache-passphrase-p protocol)
       (epg-context-set-passphrase-callback
        context



=2D-=20
///  OpenPGP key: 4E1055DC84E9DFF613D78557719D69D324539450
//  https://keys.openpgp.org/search?q=3Dtlikonen@HIDDEN
/  https://keybase.io/tlikonen  https://github.com/tlikonen

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFEBAEBCAAuFiEEkhZiiC54Bnj5a16Skzo1BB5+rVEFAl1Vg2EQHHRsaWtvbmVu
QGlraS5maQAKCRCTOjUEHn6tUQGCB/sFmkDWV5HLlpJTS0vOXX8vboGI2pyoKdNh
hqF2Ejn3w1s/SaNHoWC4qVGMXL4DxcXjbHxwFz+sGXV/HXr3AZiQlLMpCWJKK80U
i/y/WviQ2ixBo3MgdlKYBIIZdrIlKMvE4gIfslL0U4HrQ2l4AFQi2mZTZostsWU3
6KFzP5hT0MsO92zPY117rCfSD+yy4InAy84xTJMaMSwS38VJMKSY6xx9GvUsHM/Q
msZ+ODLMjpNUKOcTlK4+zRimWLkuNQJ9P+U69QqMpcbJSf/coCnVySc42zYPHdTe
rZxsMYPzIinEeu85qKdUqxnNXddwy7meZP7E57pAeGubYamYbFzoiIYEARYIAC4W
IQTJW2wqtelxC1gHdbitnXWr7pTCcwUCXVWDZxAcdGxpa29uZW5AaWtpLmZpAAoJ
EK2ddavulMJzyQEA/1M1zV94AofZnUXF3Zu/gL1EydHl6fhWpvbfLeKig60pAPwL
aNACe7pNnExyApH1bD4mbErA5nUXrPT58ypJ0azNDA==
=1cX+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Aug 2019 07:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 03:39:11 2019
Received: from localhost ([127.0.0.1]:50556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyALm-0001Uv-MM
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 03:39:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:59786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyALj-0001Uj-9i
 for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 03:39:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58849)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyALi-0007J8-20
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 03:39:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_40,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyALf-0005JF-6N
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 03:39:05 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:52870
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hyALe-0005Ib-Ui
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 03:39:03 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hyALb-000wLv-Eo
 for bug-gnu-emacs@HIDDEN; Thu, 15 Aug 2019 09:38:59 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Uwe Brauer <oub@HIDDEN>
Subject: Re: bug#37025: [found the culprit]
Date: Thu, 15 Aug 2019 09:38:37 +0200
Message-ID: <87lfvukhdu.fsf@HIDDEN>
References: <87imr06o42.fsf@HIDDEN> <8736i3y3uw.fsf@HIDDEN>
 <87ef1n4l1c.fsf@HIDDEN> <bs8srvb412.fsf@HIDDEN>
 <87imqz6nl3.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=sha256; protocol="application/pkcs7-signature"
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Mail-Copies-To: never
Cancel-Lock: sha1:3d0CrywVexB6NG+c3m5ROkwUEWU=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

>>> "TL" =3D=3D Teemu Likonen <tlikonen@HIDDEN> writes:

   > Glenn Morris [2019-08-14T21:39:37-04] wrote:
   >> Teemu Likonen wrote:
   >>> Thanks for the report and bisecting. I think we can fix the bug by
   >>> including "--sender" option only with openpgp protocol (i.e. gpg).

   > Because --sender is an OpenPGP thing (gpg) it is logical to narrow its
   > use to that protocol only. Here's the first fix:

A couple of comments.=20

    1. A quick fix. Since your patch is not applied. I tried to change
       my setting. To my surprise
       (mml-secure-smime-sign-with-sender nil)
       *did not help*, although I am using smime not opengpg.
       But
       (mml-secure-openpgp-sign-with-sender nil)
       *did help*.
       This should be mentioned in the documentation (NEWS and in the
       relevant doc strings)

    2. I am not sure what will happen with older pgp versions. A quick
       fix would be to set the above variable to nil

    3. I think this issue should be discussed on the devel list.

    4. Who and when your patch will be applied?


[Snip]...



   >> gpg --sender
   -> gpg: invalid option "--sender"  # RHEL 7.6 with gpg 2.0.22
   >>=20
   >> The option seems to only by present since gpg 2.1.15.
   >> https://gnupg.org/download/release_notes.html
   >>=20
   >> Ideally you should test if it is supported or not.

   > So there should also be version checking in epg.el's epg-start-sign and
   > epg-start-encrypt functions (or somewhere). Currently I don't know if
   > there are useful infrastructure in epg for dealing with different
   > versions of gpg.

Given that circumstance, is your change really worth the effort?

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s
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--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at 37025 <at> debbugs.gnu.org:


Received: (at 37025) by debbugs.gnu.org; 15 Aug 2019 04:48:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 00:48:36 2019
Received: from localhost ([127.0.0.1]:50355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy7gi-0003Kf-FZ
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:48:36 -0400
Received: from mail.kapsi.fi ([91.232.154.25]:52369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dtw@HIDDEN>) id 1hy7gg-0003KV-9E
 for 37025 <at> debbugs.gnu.org; Thu, 15 Aug 2019 00:48:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kapsi.fi;
 s=20161220; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uHFxWFFZ8KFG7CdZs4spvSRdo33xrJ1BnCjnR2LF5ak=; b=gEzLZMKQAbIT5qc2Z8w1U6kE0G
 12J8Jaf+WvgUASTtg5dM8l9xzFHHDD9T78JizCxGLnCn98XzyXGansBDmYVj3Jxa4qrebnr44/SZY
 tHN1vIDZDXIJKAF6TOcAM4IN6G7pLP+jLnfiqlfNu/iHudLEIq9nfEUP1VuwDH2CFWh15KpD1e/eg
 OkeeoObWTMqlOSNZcyxF5kj4At9FzLJaf63ear9tk/JhhpfHwOuQDV1p+xiuoV1NvY2Y5EFDO7BWZ
 x14K/YSov3fkL2OsrEsZeH5ZsT8oCCqF3aqGhWASpMjZVHB6hmMbLJKjD/wyrWSjaR46olGHDsnsp
 BInWur4g==;
Received: from mobile-access-bceef8-36.dhcp.inet.fi ([188.238.248.36]
 helo=mithlond)
 by mail.kapsi.fi with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <tlikonen@HIDDEN>)
 id 1hy7gd-0003Lp-2O; Thu, 15 Aug 2019 07:48:31 +0300
From: Teemu Likonen <tlikonen@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#37025: [found the culprit]
In-Reply-To: <bs8srvb412.fsf@HIDDEN>
References: <87imr06o42.fsf@HIDDEN> <8736i3y3uw.fsf@HIDDEN>
 <87ef1n4l1c.fsf@HIDDEN> <bs8srvb412.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 07:48:24 +0300
Message-ID: <87imqz6nl3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-SA-Exim-Connect-IP: 188.238.248.36
X-SA-Exim-Mail-From: tlikonen@HIDDEN
X-SA-Exim-Scanned: No (on mail.kapsi.fi); SAEximRunCond expanded to false
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 37025
Cc: oub@HIDDEN, 37025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Glenn Morris [2019-08-14T21:39:37-04] wrote:

> Teemu Likonen wrote:
>> Thanks for the report and bisecting. I think we can fix the bug by
>> including "--sender" option only with openpgp protocol (i.e. gpg).

Because --sender is an OpenPGP thing (gpg) it is logical to narrow its
use to that protocol only. Here's the first fix:


diff --git i/lisp/epg.el w/lisp/epg.el
index ce58c520f1..905440d183 100644
=2D-- i/lisp/epg.el
+++ w/lisp/epg.el
@@ -1618,7 +1618,8 @@ epg-start-sign
 				      (car (epg-key-sub-key-list signer)))))
 			     (epg-context-signers context)))
                      (let ((sender (epg-context-sender context)))
=2D                       (when (stringp sender)
+                       (when (and (eql 'OpenPGP (epg-context-protocol cont=
ext))
+                                  (stringp sender))
                          (list "--sender" sender)))
 		     (epg--args-from-sig-notations
 		      (epg-context-sig-notations context))
@@ -1714,7 +1715,8 @@ epg-start-encrypt
 					  (car (epg-key-sub-key-list
 						signer)))))
 				 (epg-context-signers context))))
=2D		     (if sign
+		     (if (and sign
+                              (eql 'OpenPGP (epg-context-protocol context)=
))
                          (let ((sender (epg-context-sender context)))
                            (when (stringp sender)
                              (list "--sender" sender))))
diff --git i/lisp/gnus/mml-sec.el w/lisp/gnus/mml-sec.el
index 07d2028534..e0ec829617 100644
=2D-- i/lisp/gnus/mml-sec.el
+++ w/lisp/gnus/mml-sec.el
@@ -915,7 +915,7 @@ mml-secure-epg-encrypt
     (when sign
       (setq signers (mml-secure-signers context signer-names))
       (setf (epg-context-signers context) signers)
=2D      (when mml-secure-openpgp-sign-with-sender
+      (when (and (eq 'OpenPGP protocol) mml-secure-openpgp-sign-with-sende=
r)
         (setf (epg-context-sender context) sender)))
     (when (eq 'OpenPGP protocol)
       (setf (epg-context-armor context) t)
@@ -945,10 +945,10 @@ mml-secure-epg-sign
 	 signature micalg)
     (when (eq 'OpenPGP protocol)
       (setf (epg-context-armor context) t)
=2D      (setf (epg-context-textmode context) t))
+      (setf (epg-context-textmode context) t)
+      (when mml-secure-openpgp-sign-with-sender
+        (setf (epg-context-sender context) sender)))
     (setf (epg-context-signers context) signers)
=2D    (when mml-secure-openpgp-sign-with-sender
=2D      (setf (epg-context-sender context) sender))
     (when (mml-secure-cache-passphrase-p protocol)
       (epg-context-set-passphrase-callback
        context


> gpg --sender
>    -> gpg: invalid option "--sender"  # RHEL 7.6 with gpg 2.0.22
>
> The option seems to only by present since gpg 2.1.15.
> https://gnupg.org/download/release_notes.html
>
> Ideally you should test if it is supported or not.

So there should also be version checking in epg.el's epg-start-sign and
epg-start-encrypt functions (or somewhere). Currently I don't know if
there are useful infrastructure in epg for dealing with different
versions of gpg.

=2D-=20
///  OpenPGP key: 4E1055DC84E9DFF613D78557719D69D324539450
//  https://keys.openpgp.org/search?q=3Dtlikonen@HIDDEN
/  https://keybase.io/tlikonen  https://github.com/tlikonen

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFEBAEBCAAuFiEEkhZiiC54Bnj5a16Skzo1BB5+rVEFAl1U5BgQHHRsaWtvbmVu
QGlraS5maQAKCRCTOjUEHn6tUZccB/9pxhA4z+eX3hYsn9j+BuHz6tpnhIWYKlqv
FglUz2e4eDt4pQp4fo0aX5QqjXYMPxsuVDwciobOMQGI9aaCUIjbGyDY4IVgJdfD
AbunUrjDsn/IKeROmJSN1h3wHoYJ8engaMi9PtzF1E129+UGJTdUf7mswxPfCwen
zUYrv6eqsdh044mK2QgmQ/Ea1zAKTWqkObjKqf/hQISqbBIe05742L/l+0cNJrul
slDij54mcJ5A2fN0bzhYTC3CGw2LHiw6qSuRKlv+mSdM2dbxyhtye7xaNbuCiYSC
ECAC+zvpAEd42QgD76lCFjREGkTaUheNYb0XYjo9te95ZdtHyLPmiIYEARYIAC4W
IQTJW2wqtelxC1gHdbitnXWr7pTCcwUCXVTkHhAcdGxpa29uZW5AaWtpLmZpAAoJ
EK2ddavulMJzkV8BAPQ0wmq1fFAy4CL4IqPetIb8fgVl7HSj0vX0CEKLH8T0AQCB
gPZs/DIKJSE9/BL/axufiL9qnsbHst8zfQi9dqijAg==
=9Jwn
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at 37025 <at> debbugs.gnu.org:


Received: (at 37025) by debbugs.gnu.org; 15 Aug 2019 01:39:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 21:39:47 2019
Received: from localhost ([127.0.0.1]:50077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy4jz-00073Q-12
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 21:39:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hy4jx-000739-4X
 for 37025 <at> debbugs.gnu.org; Wed, 14 Aug 2019 21:39:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38534)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hy4jr-0002mz-35; Wed, 14 Aug 2019 21:39:39 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hy4jp-000267-K4; Wed, 14 Aug 2019 21:39:37 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Teemu Likonen <tlikonen@HIDDEN>
Subject: Re: bug#37025: [found the culprit]
References: <87imr06o42.fsf@HIDDEN> <8736i3y3uw.fsf@HIDDEN>
 <87ef1n4l1c.fsf@HIDDEN>
X-Spook: Immigration Customs Enforcement AMW secure Treasury
X-Ran: +.$O{*iQbRPo"g-"6?I,4q0a5V5$WL[keXCS>Q!a&:k?ZMXdxi3k[^47<+rH@87,(\6Xf/
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 14 Aug 2019 21:39:37 -0400
In-Reply-To: <87ef1n4l1c.fsf@HIDDEN> (Teemu Likonen's message of "Wed, 14 Aug
 2019 22:14:07 +0300")
Message-ID: <bs8srvb412.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37025
Cc: oub@HIDDEN, 37025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Teemu Likonen wrote:

> Thanks for the report and bisecting. I think we can fix the bug by
> including "--sender" option only with openpgp protocol (i.e. gpg).

gpg --sender
   -> gpg: invalid option "--sender"  # RHEL 7.6 with gpg 2.0.22

The option seems to only by present since gpg 2.1.15.
https://gnupg.org/download/release_notes.html

Ideally you should test if it is supported or not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Aug 2019 19:14:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 15:14:25 2019
Received: from localhost ([127.0.0.1]:49681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxyj3-0005Tw-1H
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 15:14:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:57350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dtw@HIDDEN>) id 1hxyj1-0005Tl-BB
 for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 15:14:23 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51437)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dtw@HIDDEN>) id 1hxyiz-0003Yo-Sw
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 15:14:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dtw@HIDDEN>) id 1hxyiy-0008RH-7o
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 15:14:21 -0400
Received: from mail.kapsi.fi ([2001:67c:1be8::25]:45357)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dtw@HIDDEN>) id 1hxyix-0008M3-Mt
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 15:14:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kapsi.fi;
 s=20161220; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TTWpNHDfr5rSGLj7vRZWXIyZgl9ySctaaGxYopeSLRY=; b=D3ASsq7Qt10pEyt95XcfAmttea
 hpxZ2XJ6V5oVFlzVeJJlfL7lqNV5McNr+08vQNEkIIcBQVz82evWZAINvEAYF1q7vduof0KoQPGmt
 r0m86tsDuMj+PkjhCv/FET2GWdxZ1OB0QaaP5h4s3N8VnCicKv4ovG0yXkoSUGBLiDWAx8jxNsPul
 3WBkw96zBztSAmGKhlLG96S+RIehpXWT/iiP1hXJ4zHUPp0iwuSeUGu4BrRWMb1I4wWYt0ihON2jn
 8vjF6XH6YqiEThku5Q1JGRqXdZyahQuSvr29ovRb8x89AAvGm8K7y1ch3FJlnSC8MG3uJO2SpQBw/
 WtUL3RQg==;
Received: from mobile-access-bceef8-36.dhcp.inet.fi ([188.238.248.36]
 helo=mithlond)
 by mail.kapsi.fi with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <tlikonen@HIDDEN>)
 id 1hxyis-000620-GG; Wed, 14 Aug 2019 22:14:14 +0300
From: Teemu Likonen <tlikonen@HIDDEN>
To: Uwe Brauer <oub@HIDDEN>, bug-gnu-emacs@HIDDEN
Subject: Re: [found the culprit] (was: bug#37025: 27.0.50;
 smime signing and encryption does not work any longer)
In-Reply-To: <8736i3y3uw.fsf@HIDDEN>
References: <87imr06o42.fsf@HIDDEN> <8736i3y3uw.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 22:14:07 +0300
Message-ID: <87ef1n4l1c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-SA-Exim-Connect-IP: 188.238.248.36
X-SA-Exim-Mail-From: tlikonen@HIDDEN
X-SA-Exim-Scanned: No (on mail.kapsi.fi); SAEximRunCond expanded to false
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:67c:1be8::25
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Uwe Brauer [2019-08-14T20:54:47+02] wrote:

> finally I bisect and found the culprit:
>
>
> git bisect good
> 74579d3d2bb82f300a6f2d81b7b559f0a24061db is the first bad commit
> commit 74579d3d2bb82f300a6f2d81b7b559f0a24061db
> Author: Teemu Likonen <tlikonen@HIDDEN>
> Date:   Sat Jul 13 02:12:58 2019 +0200
>
>     Use the gpg --sender option
>
>     * lisp/epg.el (epg-start-encrypt)
>     * lisp/gnus/mml-sec.el (mml-secure-epg-encrypt): When
>     'mml-secure-openpgp-sign-with-sender' is non-nil message sender's
>     email address (in addition to its old behaviour) will also be used
>     to set gpg's "--sender email@domain" option.

Thanks for the report and bisecting. I think we can fix the bug by
including "--sender" option only with openpgp protocol (i.e. gpg). Now
I'm going to bed but will come back.

=2D-=20
///  OpenPGP key: 4E1055DC84E9DFF613D78557719D69D324539450
//  https://keys.openpgp.org/search?q=3Dtlikonen@HIDDEN
/  https://keybase.io/tlikonen  https://github.com/tlikonen

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFEBAEBCAAuFiEEkhZiiC54Bnj5a16Skzo1BB5+rVEFAl1UXX8QHHRsaWtvbmVu
QGlraS5maQAKCRCTOjUEHn6tUU7xB/sGYFPo86scEMXjiCgS3/VQ57cYLtSP8YNk
mTfuyi7CV9FTC74ftMXBZljAfaUWYfrJd0h0N5U9BBXJbUMX92EFLMv25W+hM/jj
Ca/LUrVOS7maBFN395PSWF68sPBb6zuZUUqPGFOhXzNtxramPqfLZZZM1I8mNBki
TUJex22IMJM4rPdqs9xVuof+y47qZRffb81L727pLsuRB/EsN5pa7tT8RUVitbdU
ux0IxRh5+wHnLEzsNkuPq1S/53xj55Hi2/rE1lv0IrV9QJpRfTvvQ5iCbVxp2qSB
mCln1gpeAYKu2Zq5x3m0+wrF7nYGyapPJZS1wL+H6vgkjYbZ+tMoiIYEARYIAC4W
IQTJW2wqtelxC1gHdbitnXWr7pTCcwUCXVRdhRAcdGxpa29uZW5AaWtpLmZpAAoJ
EK2ddavulMJzuf0A/2FGZm2ipjMpk8URubA7CTYof1zpwLl3jQu84tcEI4yvAQCx
ZK9hBPVSGHTyZH69mEPAECuiOgGrDOKz8IUqqxZNAQ==
=d8+a
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Aug 2019 18:55:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 14:55:02 2019
Received: from localhost ([127.0.0.1]:49669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxyQH-0004zd-Mo
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 14:55:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:56488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hxyQG-0004zQ-AZ
 for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 14:55:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47795)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hxyQF-0007IQ-6Y
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 14:55:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,RDNS_DYNAMIC,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hxyQE-000413-1y
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 14:54:59 -0400
Received: from 195-159-176-226.customer.powertech.no ([195.159.176.226]:55922
 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1hxyQD-0003wh-R3
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 14:54:57 -0400
Received: from list by blaine.gmane.org with local (Exim 4.89)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1hxyQ8-000fmO-JD
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 20:54:52 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Uwe Brauer <oub@HIDDEN>
Subject: [found the culprit] (was: bug#37025: 27.0.50;
 smime signing and encryption does not work any longer)
Date: Wed, 14 Aug 2019 20:54:47 +0200
Message-ID: <8736i3y3uw.fsf@HIDDEN>
References: <87imr06o42.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Mail-Copies-To: never
Cancel-Lock: sha1:ClT+CFX8bWTbcpZrxlI8fEMOhBo=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.159.176.226
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
Cc: Teemu Likonen <tlikonen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


>>> "UB" == Uwe Brauer <oub@HIDDEN> writes:

Hi 

finally I bisect and found the culprit:


git bisect good
74579d3d2bb82f300a6f2d81b7b559f0a24061db is the first bad commit
commit 74579d3d2bb82f300a6f2d81b7b559f0a24061db
Author: Teemu Likonen <tlikonen@HIDDEN>
Date:   Sat Jul 13 02:12:58 2019 +0200

    Use the gpg --sender option

    * lisp/epg.el (epg-start-encrypt)
    * lisp/gnus/mml-sec.el (mml-secure-epg-encrypt): When
    'mml-secure-openpgp-sign-with-sender' is non-nil message sender's
    email address (in addition to its old behaviour) will also be used
    to set gpg's "--sender email@domain" option.

:040000 040000 20160088e04c63a19c67d0635d3ba9248f03fd8d fa805f311eacaef3fdccee56d7286bf97059afa8 M      etc
:040000 040000 87ecd6ed235d466fc9716676a621bdf8d04a6b90 8323f689077100be17ffc82bf96958e72954ed93 M      lisp


This commit broke smime encoding/signing 

Any comments please.  @Teemu?









Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Aug 2019 10:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 06:25:13 2019
Received: from localhost ([127.0.0.1]:48952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxqSr-0006w4-VL
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 06:25:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:55285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <oub@HIDDEN>) id 1hxqSl-0006vL-9X
 for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 06:25:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56531)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <oub@HIDDEN>) id 1hxqSf-0004ta-QD
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 06:25:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <oub@HIDDEN>) id 1hxqSa-0007dC-AY
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 06:24:56 -0400
Received: from mail-wr1-x441.google.com ([2a00:1450:4864:20::441]:40017)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <oub@HIDDEN>) id 1hxqSZ-0007cO-Ff
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 06:24:52 -0400
Received: by mail-wr1-x441.google.com with SMTP id c3so2311259wrd.7
 for <bug-gnu-emacs@HIDDEN>; Wed, 14 Aug 2019 03:24:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mat.ucm.es; s=google;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=TFqIGao/7WzbVEZhs1mHqeRSrhIDoKhkU5UYD3g3MAQ=;
 b=NYllfhiJu3qyDA20kTxuqUJ1USkpJLJot4VrFLDwlku4N6E2MPusQDxwBSn/1Yfe/9
 o3PvL6J9+kEjonPS8+7g4+NpuqaYCz6tzbIAbcG5CE52Gw/VF+Gk0ovcBwit+9ROONsi
 2/LmDBWzaSYbolkaTwmmM4qUq2/+R4xdScmxI=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=TFqIGao/7WzbVEZhs1mHqeRSrhIDoKhkU5UYD3g3MAQ=;
 b=NSSqDlbPiAHR+PSmIMehMdnupAaUsDOWrWuHIVbSF9YJJFOpCxpfPzIn3R7Mo3XN+y
 NyXWNmdgDb3qAOPvQS4gqSZKNechoQEZLHF7Z4jGuyU4nKqnWMqVi89ubTs2MdgeSsBS
 /WCN/W7VzQQ/WZIKIUE2jNHYyLiYFhTdtMqwDGOcaQr674OEt1oD3ctkQg6vt8NcCy1W
 BOJ1vh8Ww2HgaZtef2mfZZLTSXjEI9J+v5+MTdDtvmW1TmHBswjFqJTOpvTEp2sCQGFY
 ZCMKfyullD/gUAAyspEWlFYt1t0zeJcqcxr+A9fHeWQ8vuG9q3CM6FlKUo+H8ZViumvQ
 iQHA==
X-Gm-Message-State: APjAAAVV7CP+FtrMHhLmMgNsDyM3MmjGuIJBWgNe5UsMmth/5eEWQePh
 hAywqUTEHlI0LbTQ6SY+aHA2RAztWzo=
X-Google-Smtp-Source: APXvYqyYvHF20LvlWsw8roVNnlKVZbSCAKGVnVTZy+LPnBcAJvzlmcy2SgJHiitWby73kNXxQ2F/NQ==
X-Received: by 2002:a5d:6109:: with SMTP id v9mr4341544wrt.333.1565778287844; 
 Wed, 14 Aug 2019 03:24:47 -0700 (PDT)
Received: from Utnapischtim
 (p2003000611CFBC8351F5AE86918AE2A1.dip0.t-ipconnect.de.
 [2003:6:11cf:bc83:51f5:ae86:918a:e2a1])
 by smtp.gmail.com with ESMTPSA id k1sm17281272wru.49.2019.08.14.03.24.46
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 14 Aug 2019 03:24:46 -0700 (PDT)
X-Mailer: emacs 27.0.50 (via feedmail 11-beta-1 I)
From: Uwe Brauer <oub@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; smime signing and encryption does not work any longer
X-Hashcash: 1:20:190814:bug-gnu-emacs@HIDDEN::z+2ZFLn89923pNr2:00000000000000000000000000000000000000005Q9u
Date: Wed, 14 Aug 2019 12:24:45 +0200
Message-ID: <87imr06o42.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::441
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

protocol="application/pkcs7-signature"

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi=20

I just compiled emacs master which corresponds to=20
comit  "b06917a4912a60402025286d07d4a195749245c4"

However now signing and encrypting using smime does not work any longer.
I selected the option (Attachments-->Change Security Method--> smime)

I also use the setting I have used in the past=20


(setq message-forward-show-mml 'best)
(epa-file-enable)
(setq epg-debug t)
(setq mm-decrypt-option 'always)
(setq mm-verify-option 'always)
(setq gnus-buttonized-mime-types '("multipart/encrypted" "multipart/signed"=
))


(setq mml-smime-use 'epg)
(setq mml2015-use 'epg)


(setq epg-gpg-home-directory "/home/oub/.gnupg")
(setq epg-key-id "65AD077A")


But when I add a tag like=20
 <#secure method=3Dsmime mode=3Dsign>

And then the message, nor is gpgsm called nor is the message signed (the
same happens for encryption)

All this worked still in emacs master commit=20
1d75604eaded6a8482d28d57bc8e6a4d99d5caee
from April.

I could try to bisect the commits and recompile emacs every time, but
that looks like bit like an ordeal. The news are silent about that
issue.
I also greped in the log message but could not find any hints.

That for me is a serious issue so any help would be greatly appreciated.

Uwe Brauer


Recent messages:
Checking 34 files in /opt/emacs27/share/emacs/27.0.50/lisp/emulation...
Checking 182 files in /opt/emacs27/share/emacs/27.0.50/lisp/emacs-lisp...
Checking 24 files in /opt/emacs27/share/emacs/27.0.50/lisp/cedet...
Checking 59 files in /opt/emacs27/share/emacs/27.0.50/lisp/calendar...
Checking 87 files in /opt/emacs27/share/emacs/27.0.50/lisp/calc...
Checking 109 files in /opt/emacs27/share/emacs/27.0.50/lisp/obsolete...
Checking for load-path shadows...done
Invalid face reference: font-lock-comment-warn-face [20 times]
QuitInvalid face reference: font-lock-comment-warn-face
Invalid face reference: font-lock-comment-warn-face [23 times]

Configured using:
 'configure --prefix=3D/opt/emacs27 --with-x-toolkit=3Dathena
 --with-mailutils'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM THREADS PDUMPER LCMS2
GMP

Important settings:
  value of $LC_ALL: en_US.UTF8
  value of $LC_MONETARY: es_ES.UTF-8
  value of $LC_NUMERIC: es_ES.UTF-8
  value of $LC_TIME: es_ES.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  cursor-sensor-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  path-headerline-mode: t
  global-pabbrev-mode: t
  save-place-mode: t
  global-diff-hl-mode: t
  display-time-mode: t
  global-orglink-mode: t
  better-registers: t
  recentf-mode: t
  gnus-undo-mode: t
  csv-field-index-mode: t
  shell-dirtrack-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/oub/emacs/site-lisp/babel hides /home/oub/emacs/site-lisp/versch/babel
/home/oub/emacs/site-lisp/packages/personal-lisp/extra hides /home/oub/emac=
s/site-lisp/versch/extra
/home/oub/emacs/site-lisp/packages/vm-8.2.0b/lisp/vm-pcrisis hides /home/ou=
b/emacs/site-lisp/versch/vm-pcrisis
/home/oub/emacs/site-lisp/packages/remember-2.0/remember hides /home/oub/em=
acs/site-lisp/versch/remember
/home/oub/emacs/site-lisp/packages/personal-lisp/test hides /home/oub/emacs=
/site-lisp/versch/test
/home/oub/emacs/site-lisp/versch/org-addons hides /home/oub/emacs/init/org-=
addons
/home/oub/emacs/site-lisp/packages/personal-lisp/test hides /home/oub/emacs=
/test
/home/oub/emacs/site-lisp/versch/bm hides /home/oub/.emacs.d/elpa/bm-201708=
15.1609/bm
/home/oub/emacs/site-lisp/versch/cdlatex hides /home/oub/.emacs.d/elpa/cdla=
tex-20140707.426/cdlatex
/home/oub/emacs/site-lisp/versch/easy-kill hides /home/oub/.emacs.d/elpa/ea=
sy-kill-0.9.3/easy-kill
/home/oub/.emacs.d/elpa/google-translate-20170713.819/.bump-version hides /=
home/oub/.emacs.d/elpa/iregister-20150515.1407/.bump-version
/home/oub/emacs/site-lisp/versch/latex-pretty-symbols hides /home/oub/.emac=
s.d/elpa/latex-pretty-symbols-20151112.244/latex-pretty-symbols
/home/oub/emacs/site-lisp/versch/list-register hides /home/oub/.emacs.d/elp=
a/list-register-20091203.1015/list-register
/home/oub/emacs/site-lisp/versch/markdown-mode hides /home/oub/.emacs.d/elp=
a/markdown-mode-20171116.756/markdown-mode
/home/oub/emacs/site-lisp/versch/matlab-publish hides /home/oub/.emacs.d/el=
pa/matlab-mode-20180928.1526/matlab-publish
/home/oub/ALLES/src/org-hg/contrib/lisp/org-index hides /home/oub/.emacs.d/=
elpa/org-index-20190310.1046/org-index
/home/oub/ALLES/src/org-hg/contrib/lisp/org-mac-link hides /home/oub/.emacs=
.d/elpa/org-mac-link-20170105.1723/org-mac-link
/home/oub/.emacs.d/elpa/orgtbl-aggregate-20160421.726/org-insert-dblock hid=
es /home/oub/.emacs.d/elpa/orgtbl-join-20150121.1446/org-insert-dblock
/home/oub/ALLES/src/org-hg/contrib/lisp/htmlize hides /home/oub/.emacs.d/el=
pa/htmlize-20171017.141/htmlize
/home/oub/.emacs.d/elpa/org-pandoc-20130729.1850/ox-pandoc hides /home/oub/=
.emacs.d/elpa/ox-pandoc-20171107.341/ox-pandoc
/home/oub/emacs/site-lisp/packages/org/org-agenda hides /home/oub/.emacs.d/=
elpa/org-20171116/org-agenda
/home/oub/emacs/site-lisp/packages/org/ob-lob hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-lob
/home/oub/emacs/site-lisp/packages/org/ob hides /home/oub/.emacs.d/elpa/org=
-20171116/ob
/home/oub/emacs/site-lisp/packages/org/ob-ruby hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-ruby
/home/oub/emacs/site-lisp/packages/org/ob-coq hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-coq
/home/oub/emacs/site-lisp/packages/org/ob-stan hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-stan
/home/oub/emacs/site-lisp/packages/org/ob-shell hides /home/oub/.emacs.d/el=
pa/org-20171116/ob-shell
/home/oub/emacs/site-lisp/packages/org/ox-man hides /home/oub/.emacs.d/elpa=
/org-20171116/ox-man
/home/oub/emacs/site-lisp/packages/org/org-faces hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-faces
/home/oub/emacs/site-lisp/packages/org/org-docview hides /home/oub/.emacs.d=
/elpa/org-20171116/org-docview
/home/oub/emacs/site-lisp/packages/org/org-rmail hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-rmail
/home/oub/emacs/site-lisp/packages/org/ox-publish hides /home/oub/.emacs.d/=
elpa/org-20171116/ox-publish
/home/oub/emacs/site-lisp/packages/org/ob-haskell hides /home/oub/.emacs.d/=
elpa/org-20171116/ob-haskell
/home/oub/emacs/site-lisp/packages/org/org-bibtex hides /home/oub/.emacs.d/=
elpa/org-20171116/org-bibtex
/home/oub/emacs/site-lisp/packages/org/ob-mscgen hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-mscgen
/home/oub/emacs/site-lisp/packages/org/ob-plantuml hides /home/oub/.emacs.d=
/elpa/org-20171116/ob-plantuml
/home/oub/emacs/site-lisp/packages/org/ob-comint hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-comint
/home/oub/emacs/site-lisp/packages/org/ox-org hides /home/oub/.emacs.d/elpa=
/org-20171116/ox-org
/home/oub/emacs/site-lisp/packages/org/org-ctags hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-ctags
/home/oub/emacs/site-lisp/packages/org/org-mhe hides /home/oub/.emacs.d/elp=
a/org-20171116/org-mhe
/home/oub/emacs/site-lisp/packages/org/ob-clojure hides /home/oub/.emacs.d/=
elpa/org-20171116/ob-clojure
/home/oub/emacs/site-lisp/packages/org/ob-forth hides /home/oub/.emacs.d/el=
pa/org-20171116/ob-forth
/home/oub/emacs/site-lisp/packages/org/ob-css hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-css
/home/oub/emacs/site-lisp/packages/org/org-irc hides /home/oub/.emacs.d/elp=
a/org-20171116/org-irc
/home/oub/emacs/site-lisp/packages/org/ob-maxima hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-maxima
/home/oub/emacs/site-lisp/packages/org/ob-ebnf hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-ebnf
/home/oub/emacs/site-lisp/packages/org/org-attach hides /home/oub/.emacs.d/=
elpa/org-20171116/org-attach
/home/oub/emacs/site-lisp/packages/org/ob-emacs-lisp hides /home/oub/.emacs=
.d/elpa/org-20171116/ob-emacs-lisp
/home/oub/emacs/site-lisp/packages/org/ob-keys hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-keys
/home/oub/emacs/site-lisp/packages/org/org-footnote hides /home/oub/.emacs.=
d/elpa/org-20171116/org-footnote
/home/oub/emacs/site-lisp/packages/org/ob-dot hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-dot
/home/oub/emacs/site-lisp/packages/org/ob-shen hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-shen
/home/oub/emacs/site-lisp/packages/org/ob-processing hides /home/oub/.emacs=
.d/elpa/org-20171116/ob-processing
/home/oub/emacs/site-lisp/packages/org/ob-picolisp hides /home/oub/.emacs.d=
/elpa/org-20171116/ob-picolisp
/home/oub/emacs/site-lisp/packages/org/ob-io hides /home/oub/.emacs.d/elpa/=
org-20171116/ob-io
/home/oub/emacs/site-lisp/packages/org/ob-ledger hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-ledger
/home/oub/emacs/site-lisp/packages/org/org-compat hides /home/oub/.emacs.d/=
elpa/org-20171116/org-compat
/home/oub/emacs/site-lisp/packages/org/ob-org hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-org
/home/oub/emacs/site-lisp/packages/org/ob-lilypond hides /home/oub/.emacs.d=
/elpa/org-20171116/ob-lilypond
/home/oub/emacs/site-lisp/packages/org/org-feed hides /home/oub/.emacs.d/el=
pa/org-20171116/org-feed
/home/oub/emacs/site-lisp/packages/org/ob-vala hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-vala
/home/oub/emacs/site-lisp/packages/org/org-colview hides /home/oub/.emacs.d=
/elpa/org-20171116/org-colview
/home/oub/emacs/site-lisp/packages/org/ob-latex hides /home/oub/.emacs.d/el=
pa/org-20171116/ob-latex
/home/oub/emacs/site-lisp/packages/org/org-timer hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-timer
/home/oub/emacs/site-lisp/packages/org/org-archive hides /home/oub/.emacs.d=
/elpa/org-20171116/org-archive
/home/oub/emacs/site-lisp/packages/org/org-w3m hides /home/oub/.emacs.d/elp=
a/org-20171116/org-w3m
/home/oub/emacs/site-lisp/packages/org/org-inlinetask hides /home/oub/.emac=
s.d/elpa/org-20171116/org-inlinetask
/home/oub/emacs/site-lisp/packages/org/ob-python hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-python
/home/oub/emacs/site-lisp/packages/org/ob-awk hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-awk
/home/oub/emacs/site-lisp/packages/org/ob-screen hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-screen
/home/oub/emacs/site-lisp/packages/org/org-id hides /home/oub/.emacs.d/elpa=
/org-20171116/org-id
/home/oub/emacs/site-lisp/packages/org/ox-texinfo hides /home/oub/.emacs.d/=
elpa/org-20171116/ox-texinfo
/home/oub/emacs/site-lisp/packages/org/org-habit hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-habit
/home/oub/emacs/site-lisp/packages/org/ob-C hides /home/oub/.emacs.d/elpa/o=
rg-20171116/ob-C
/home/oub/emacs/site-lisp/packages/org/org-eshell hides /home/oub/.emacs.d/=
elpa/org-20171116/org-eshell
/home/oub/emacs/site-lisp/packages/org/org-info hides /home/oub/.emacs.d/el=
pa/org-20171116/org-info
/home/oub/emacs/site-lisp/packages/org/org-entities hides /home/oub/.emacs.=
d/elpa/org-20171116/org-entities
/home/oub/emacs/site-lisp/packages/org/ob-perl hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-perl
/home/oub/emacs/site-lisp/packages/org/ob-gnuplot hides /home/oub/.emacs.d/=
elpa/org-20171116/ob-gnuplot
/home/oub/emacs/site-lisp/packages/org/ob-R hides /home/oub/.emacs.d/elpa/o=
rg-20171116/ob-R
/home/oub/emacs/site-lisp/packages/org/org-eww hides /home/oub/.emacs.d/elp=
a/org-20171116/org-eww
/home/oub/emacs/site-lisp/packages/org/org-capture hides /home/oub/.emacs.d=
/elpa/org-20171116/org-capture
/home/oub/emacs/site-lisp/packages/org/ob-lisp hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-lisp
/home/oub/emacs/site-lisp/packages/org/org-pcomplete hides /home/oub/.emacs=
.d/elpa/org-20171116/org-pcomplete
/home/oub/emacs/site-lisp/packages/org/ob-octave hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-octave
/home/oub/emacs/site-lisp/packages/org/org-table hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-table
/home/oub/emacs/site-lisp/packages/org/ox hides /home/oub/.emacs.d/elpa/org=
-20171116/ox
/home/oub/emacs/site-lisp/packages/org/org-lint hides /home/oub/.emacs.d/el=
pa/org-20171116/org-lint
/home/oub/emacs/site-lisp/packages/org/org-gnus hides /home/oub/.emacs.d/el=
pa/org-20171116/org-gnus
/home/oub/emacs/site-lisp/packages/org/ob-ocaml hides /home/oub/.emacs.d/el=
pa/org-20171116/ob-ocaml
/home/oub/emacs/site-lisp/packages/org/ob-lua hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-lua
/home/oub/emacs/site-lisp/packages/org/ob-sql hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-sql
/home/oub/emacs/site-lisp/packages/org/ob-scheme hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-scheme
/home/oub/emacs/site-lisp/packages/org/ox-icalendar hides /home/oub/.emacs.=
d/elpa/org-20171116/ox-icalendar
/home/oub/emacs/site-lisp/packages/org/ob-abc hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-abc
/home/oub/emacs/site-lisp/packages/org/ob-sed hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-sed
/home/oub/emacs/site-lisp/packages/org/ob-matlab hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-matlab
/home/oub/emacs/site-lisp/packages/org/ox-latex hides /home/oub/.emacs.d/el=
pa/org-20171116/ox-latex
/home/oub/emacs/site-lisp/packages/org/org-clock hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-clock
/home/oub/emacs/site-lisp/packages/org/org-mobile hides /home/oub/.emacs.d/=
elpa/org-20171116/org-mobile
/home/oub/emacs/site-lisp/packages/org/ob-js hides /home/oub/.emacs.d/elpa/=
org-20171116/ob-js
/home/oub/emacs/site-lisp/packages/org/org-indent hides /home/oub/.emacs.d/=
elpa/org-20171116/org-indent
/home/oub/emacs/site-lisp/packages/org/ob-ditaa hides /home/oub/.emacs.d/el=
pa/org-20171116/ob-ditaa
/home/oub/emacs/site-lisp/packages/org/ob-sqlite hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-sqlite
/home/oub/emacs/site-lisp/packages/org/ob-table hides /home/oub/.emacs.d/el=
pa/org-20171116/ob-table
/home/oub/emacs/site-lisp/packages/org/ob-groovy hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-groovy
/home/oub/emacs/site-lisp/packages/org/ox-odt hides /home/oub/.emacs.d/elpa=
/org-20171116/ox-odt
/home/oub/emacs/site-lisp/packages/org/org-datetree hides /home/oub/.emacs.=
d/elpa/org-20171116/org-datetree
/home/oub/emacs/site-lisp/packages/org/ob-calc hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-calc
/home/oub/emacs/site-lisp/packages/org/ob-eval hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-eval
/home/oub/emacs/site-lisp/packages/org/ox-ascii hides /home/oub/.emacs.d/el=
pa/org-20171116/ox-ascii
/home/oub/emacs/site-lisp/packages/org/ob-ref hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-ref
/home/oub/emacs/site-lisp/packages/org/org-install hides /home/oub/.emacs.d=
/elpa/org-20171116/org-install
/home/oub/emacs/site-lisp/packages/org/org-list hides /home/oub/.emacs.d/el=
pa/org-20171116/org-list
/home/oub/emacs/site-lisp/packages/org/org-macs hides /home/oub/.emacs.d/el=
pa/org-20171116/org-macs
/home/oub/emacs/site-lisp/packages/org/org-element hides /home/oub/.emacs.d=
/elpa/org-20171116/org-element
/home/oub/emacs/site-lisp/packages/org/org-version hides /home/oub/.emacs.d=
/elpa/org-20171116/org-version
/home/oub/emacs/site-lisp/packages/org/ob-tangle hides /home/oub/.emacs.d/e=
lpa/org-20171116/ob-tangle
/home/oub/emacs/site-lisp/packages/org/ob-java hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-java
/home/oub/emacs/site-lisp/packages/org/org-duration hides /home/oub/.emacs.=
d/elpa/org-20171116/org-duration
/home/oub/emacs/site-lisp/packages/org/org hides /home/oub/.emacs.d/elpa/or=
g-20171116/org
/home/oub/emacs/site-lisp/packages/org/org-protocol hides /home/oub/.emacs.=
d/elpa/org-20171116/org-protocol
/home/oub/emacs/site-lisp/packages/org/ob-hledger hides /home/oub/.emacs.d/=
elpa/org-20171116/ob-hledger
/home/oub/emacs/site-lisp/packages/org/ox-html hides /home/oub/.emacs.d/elp=
a/org-20171116/ox-html
/home/oub/emacs/site-lisp/packages/org/org-src hides /home/oub/.emacs.d/elp=
a/org-20171116/org-src
/home/oub/emacs/site-lisp/packages/org/org-loaddefs hides /home/oub/.emacs.=
d/elpa/org-20171116/org-loaddefs
/home/oub/emacs/site-lisp/packages/org/org-macro hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-macro
/home/oub/emacs/site-lisp/packages/org/ob-fortran hides /home/oub/.emacs.d/=
elpa/org-20171116/ob-fortran
/home/oub/emacs/site-lisp/packages/org/org-mouse hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-mouse
/home/oub/emacs/site-lisp/packages/org/ob-makefile hides /home/oub/.emacs.d=
/elpa/org-20171116/ob-makefile
/home/oub/emacs/site-lisp/packages/org/org-plot hides /home/oub/.emacs.d/el=
pa/org-20171116/org-plot
/home/oub/emacs/site-lisp/packages/org/ob-J hides /home/oub/.emacs.d/elpa/o=
rg-20171116/ob-J
/home/oub/emacs/site-lisp/packages/org/ob-core hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-core
/home/oub/emacs/site-lisp/packages/org/org-crypt hides /home/oub/.emacs.d/e=
lpa/org-20171116/org-crypt
/home/oub/emacs/site-lisp/packages/org/ob-asymptote hides /home/oub/.emacs.=
d/elpa/org-20171116/ob-asymptote
/home/oub/emacs/site-lisp/packages/org/ob-exp hides /home/oub/.emacs.d/elpa=
/org-20171116/ob-exp
/home/oub/emacs/site-lisp/packages/org/ox-beamer hides /home/oub/.emacs.d/e=
lpa/org-20171116/ox-beamer
/home/oub/emacs/site-lisp/packages/org/ob-sass hides /home/oub/.emacs.d/elp=
a/org-20171116/ob-sass
/home/oub/emacs/site-lisp/packages/org/ox-md hides /home/oub/.emacs.d/elpa/=
org-20171116/ox-md
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/context hides /home/ou=
b/.emacs.d/elpa/auctex-11.91.0/context
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/bib-cite hides /home/o=
ub/.emacs.d/elpa/auctex-11.91.0/bib-cite
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-info hides /home/o=
ub/.emacs.d/elpa/auctex-11.91.0/tex-info
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-jp hides /home/oub=
/.emacs.d/elpa/auctex-11.91.0/tex-jp
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/toolbar-x hides /home/=
oub/.emacs.d/elpa/auctex-11.91.0/toolbar-x
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-style hides /home/=
oub/.emacs.d/elpa/auctex-11.91.0/tex-style
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/prv-emacs hides /home/=
oub/.emacs.d/elpa/auctex-11.91.0/prv-emacs
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/plain-tex hides /home/=
oub/.emacs.d/elpa/auctex-11.91.0/plain-tex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/context-nl hides /home=
/oub/.emacs.d/elpa/auctex-11.91.0/context-nl
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/context-en hides /home=
/oub/.emacs.d/elpa/auctex-11.91.0/context-en
/home/oub/emacs/site-lisp/packages/auctex-git/tex-site hides /home/oub/.ema=
cs.d/elpa/auctex-11.91.0/tex-site
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/latex hides /home/oub/=
.emacs.d/elpa/auctex-11.91.0/latex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/font-latex hides /home=
/oub/.emacs.d/elpa/auctex-11.91.0/font-latex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-buf hides /home/ou=
b/.emacs.d/elpa/auctex-11.91.0/tex-buf
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-mik hides /home/ou=
b/.emacs.d/elpa/auctex-11.91.0/tex-mik
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/preview hides /home/ou=
b/.emacs.d/elpa/auctex-11.91.0/preview
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/multi-prompt hides /ho=
me/oub/.emacs.d/elpa/auctex-11.91.0/multi-prompt
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-ispell hides /home=
/oub/.emacs.d/elpa/auctex-11.91.0/tex-ispell
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-bar hides /home/ou=
b/.emacs.d/elpa/auctex-11.91.0/tex-bar
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/texmathp hides /home/o=
ub/.emacs.d/elpa/auctex-11.91.0/texmathp
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex hides /home/oub/.e=
macs.d/elpa/auctex-11.91.0/tex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex hides /home/oub/.emacs=
.d/elpa/auctex-11.91.0/auctex
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-font hides /home/o=
ub/.emacs.d/elpa/auctex-11.91.0/tex-font
/home/oub/emacs/site-lisp/packages/auctex-git/auctex/tex-fold hides /home/o=
ub/.emacs.d/elpa/auctex-11.91.0/tex-fold
/home/oub/emacs/site-lisp/versch/json hides /opt/emacs27/share/emacs/27.0.5=
0/lisp/json
/home/oub/emacs/site-lisp/versch/abbrev hides /opt/emacs27/share/emacs/27.0=
.50/lisp/abbrev
/home/oub/emacs/site-lisp/versch/ffap hides /opt/emacs27/share/emacs/27.0.5=
0/lisp/ffap
/home/oub/emacs/site-lisp/packages/remember-2.0/remember hides /opt/emacs27=
/share/emacs/27.0.50/lisp/textmodes/remember
/home/oub/emacs/site-lisp/packages/personal-lisp/refill hides /opt/emacs27/=
share/emacs/27.0.50/lisp/textmodes/refill
/home/oub/emacs/site-lisp/packages/org/org-agenda hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-agenda
/home/oub/emacs/site-lisp/packages/org/org-macs hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-macs
/home/oub/emacs/site-lisp/packages/org/ob-picolisp hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/ob-picolisp
/home/oub/emacs/site-lisp/packages/org/ob-lob hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-lob
/home/oub/emacs/site-lisp/packages/org/ox-org hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ox-org
/home/oub/emacs/site-lisp/packages/org/ox-texinfo hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ox-texinfo
/home/oub/emacs/site-lisp/packages/org/ob-ruby hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-ruby
/home/oub/emacs/site-lisp/packages/org/ob-sed hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-sed
/home/oub/emacs/site-lisp/packages/org/ob-stan hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-stan
/home/oub/emacs/site-lisp/packages/org/org-mobile hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-mobile
/home/oub/emacs/site-lisp/packages/org/ob-shell hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ob-shell
/home/oub/emacs/site-lisp/packages/org/org-mhe hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/org-mhe
/home/oub/emacs/site-lisp/packages/org/ob-shen hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-shen
/home/oub/emacs/site-lisp/packages/org/org-faces hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-faces
/home/oub/emacs/site-lisp/packages/org/org-irc hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/org-irc
/home/oub/emacs/site-lisp/packages/org/ox-publish hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ox-publish
/home/oub/emacs/site-lisp/packages/org/ob-mscgen hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-mscgen
/home/oub/emacs/site-lisp/packages/org/ob-plantuml hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/ob-plantuml
/home/oub/emacs/site-lisp/packages/org/ob-ledger hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-ledger
/home/oub/emacs/site-lisp/packages/org/org-indent hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-indent
/home/oub/emacs/site-lisp/packages/org/ob-sass hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-sass
/home/oub/emacs/site-lisp/packages/org/org-ctags hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-ctags
/home/oub/emacs/site-lisp/packages/org/ob-forth hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ob-forth
/home/oub/emacs/site-lisp/packages/org/ob-maxima hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-maxima
/home/oub/emacs/site-lisp/packages/org/org-archive hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-archive
/home/oub/emacs/site-lisp/packages/org/ob-emacs-lisp hides /opt/emacs27/sha=
re/emacs/27.0.50/lisp/org/ob-emacs-lisp
/home/oub/emacs/site-lisp/packages/org/ob-keys hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-keys
/home/oub/emacs/site-lisp/packages/org/ob-comint hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-comint
/home/oub/emacs/site-lisp/packages/org/org-rmail hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-rmail
/home/oub/emacs/site-lisp/packages/org/ob-core hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-core
/home/oub/emacs/site-lisp/packages/org/ob-processing hides /opt/emacs27/sha=
re/emacs/27.0.50/lisp/org/ob-processing
/home/oub/emacs/site-lisp/packages/org/org-w3m hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/org-w3m
/home/oub/emacs/site-lisp/packages/org/ob-io hides /opt/emacs27/share/emacs=
/27.0.50/lisp/org/ob-io
/home/oub/emacs/site-lisp/packages/org/ob-hledger hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ob-hledger
/home/oub/emacs/site-lisp/packages/org/org-colview hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-colview
/home/oub/emacs/site-lisp/packages/org/ob-org hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-org
/home/oub/emacs/site-lisp/packages/org/ob-lilypond hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/ob-lilypond
/home/oub/emacs/site-lisp/packages/org/ob-R hides /opt/emacs27/share/emacs/=
27.0.50/lisp/org/ob-R
/home/oub/emacs/site-lisp/packages/org/org-mouse hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-mouse
/home/oub/emacs/site-lisp/packages/org/org-macro hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-macro
/home/oub/emacs/site-lisp/packages/org/org-compat hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-compat
/home/oub/emacs/site-lisp/packages/org/ox-man hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ox-man
/home/oub/emacs/site-lisp/packages/org/ob-haskell hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ob-haskell
/home/oub/emacs/site-lisp/packages/org/ob-latex hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ob-latex
/home/oub/emacs/site-lisp/packages/org/ob-fortran hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ob-fortran
/home/oub/emacs/site-lisp/packages/org/ob-ocaml hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ob-ocaml
/home/oub/emacs/site-lisp/packages/org/ob-lisp hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-lisp
/home/oub/emacs/site-lisp/packages/org/ob-vala hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-vala
/home/oub/emacs/site-lisp/packages/org/ob-abc hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-abc
/home/oub/emacs/site-lisp/packages/org/ox-icalendar hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/ox-icalendar
/home/oub/emacs/site-lisp/packages/org/ob-ref hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-ref
/home/oub/emacs/site-lisp/packages/org/ob-groovy hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-groovy
/home/oub/emacs/site-lisp/packages/org/org-info hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-info
/home/oub/emacs/site-lisp/packages/org/org-feed hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-feed
/home/oub/emacs/site-lisp/packages/org/org-docview hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-docview
/home/oub/emacs/site-lisp/packages/org/ob-perl hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-perl
/home/oub/emacs/site-lisp/packages/org/ob-gnuplot hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ob-gnuplot
/home/oub/emacs/site-lisp/packages/org/ob-ebnf hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-ebnf
/home/oub/emacs/site-lisp/packages/org/org-gnus hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-gnus
/home/oub/emacs/site-lisp/packages/org/ob-dot hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-dot
/home/oub/emacs/site-lisp/packages/org/org-capture hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-capture
/home/oub/emacs/site-lisp/packages/org/ob-matlab hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-matlab
/home/oub/emacs/site-lisp/packages/org/org-pcomplete hides /opt/emacs27/sha=
re/emacs/27.0.50/lisp/org/org-pcomplete
/home/oub/emacs/site-lisp/packages/org/ob-octave hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-octave
/home/oub/emacs/site-lisp/packages/org/ob-coq hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-coq
/home/oub/emacs/site-lisp/packages/org/ox hides /opt/emacs27/share/emacs/27=
.0.50/lisp/org/ox
/home/oub/emacs/site-lisp/packages/org/ox-odt hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ox-odt
/home/oub/emacs/site-lisp/packages/org/ob-awk hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-awk
/home/oub/emacs/site-lisp/packages/org/org-lint hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-lint
/home/oub/emacs/site-lisp/packages/org/ob-lua hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-lua
/home/oub/emacs/site-lisp/packages/org/ob-sql hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-sql
/home/oub/emacs/site-lisp/packages/org/ob-scheme hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-scheme
/home/oub/emacs/site-lisp/packages/org/org-bibtex hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-bibtex
/home/oub/emacs/site-lisp/packages/org/ox-latex hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ox-latex
/home/oub/emacs/site-lisp/packages/org/org-clock hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-clock
/home/oub/emacs/site-lisp/packages/org/org-bbdb hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-bbdb
/home/oub/emacs/site-lisp/packages/org/org-entities hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/org-entities
/home/oub/emacs/site-lisp/packages/org/org-inlinetask hides /opt/emacs27/sh=
are/emacs/27.0.50/lisp/org/org-inlinetask
/home/oub/emacs/site-lisp/packages/org/org-habit hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-habit
/home/oub/emacs/site-lisp/packages/org/org-datetree hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/org-datetree
/home/oub/emacs/site-lisp/packages/org/ob-ditaa hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ob-ditaa
/home/oub/emacs/site-lisp/packages/org/ob-sqlite hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-sqlite
/home/oub/emacs/site-lisp/packages/org/ob-exp hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-exp
/home/oub/emacs/site-lisp/packages/org/ob-python hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-python
/home/oub/emacs/site-lisp/packages/org/ob-css hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/ob-css
/home/oub/emacs/site-lisp/packages/org/ob-calc hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-calc
/home/oub/emacs/site-lisp/packages/org/ox-html hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ox-html
/home/oub/emacs/site-lisp/packages/org/org-attach hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-attach
/home/oub/emacs/site-lisp/packages/org/ox-ascii hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ox-ascii
/home/oub/emacs/site-lisp/packages/org/org-eshell hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/org-eshell
/home/oub/emacs/site-lisp/packages/org/org-install hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-install
/home/oub/emacs/site-lisp/packages/org/org-element hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-element
/home/oub/emacs/site-lisp/packages/org/org-version hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/org-version
/home/oub/emacs/site-lisp/packages/org/org-id hides /opt/emacs27/share/emac=
s/27.0.50/lisp/org/org-id
/home/oub/emacs/site-lisp/packages/org/org-duration hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/org-duration
/home/oub/emacs/site-lisp/packages/org/ox-md hides /opt/emacs27/share/emacs=
/27.0.50/lisp/org/ox-md
/home/oub/emacs/site-lisp/packages/org/org hides /opt/emacs27/share/emacs/2=
7.0.50/lisp/org/org
/home/oub/emacs/site-lisp/packages/org/org-protocol hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/org-protocol
/home/oub/emacs/site-lisp/packages/org/org-src hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/org-src
/home/oub/emacs/site-lisp/packages/org/org-loaddefs hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/org-loaddefs
/home/oub/emacs/site-lisp/packages/org/ob-tangle hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-tangle
/home/oub/emacs/site-lisp/packages/org/ob-table hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/ob-table
/home/oub/emacs/site-lisp/packages/org/ob-java hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-java
/home/oub/emacs/site-lisp/packages/org/ob-makefile hides /opt/emacs27/share=
/emacs/27.0.50/lisp/org/ob-makefile
/home/oub/emacs/site-lisp/packages/org/org-plot hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-plot
/home/oub/emacs/site-lisp/packages/org/ob-J hides /opt/emacs27/share/emacs/=
27.0.50/lisp/org/ob-J
/home/oub/emacs/site-lisp/packages/org/ob-clojure hides /opt/emacs27/share/=
emacs/27.0.50/lisp/org/ob-clojure
/home/oub/emacs/site-lisp/packages/org/ob hides /opt/emacs27/share/emacs/27=
.0.50/lisp/org/ob
/home/oub/emacs/site-lisp/packages/org/org-timer hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-timer
/home/oub/emacs/site-lisp/packages/org/org-table hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-table
/home/oub/emacs/site-lisp/packages/org/ob-screen hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ob-screen
/home/oub/emacs/site-lisp/packages/org/ob-asymptote hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/ob-asymptote
/home/oub/emacs/site-lisp/packages/org/ob-eval hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/ob-eval
/home/oub/emacs/site-lisp/packages/org/org-crypt hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/org-crypt
/home/oub/emacs/site-lisp/packages/org/ob-js hides /opt/emacs27/share/emacs=
/27.0.50/lisp/org/ob-js
/home/oub/emacs/site-lisp/packages/org/ob-C hides /opt/emacs27/share/emacs/=
27.0.50/lisp/org/ob-C
/home/oub/emacs/site-lisp/packages/org/ox-beamer hides /opt/emacs27/share/e=
macs/27.0.50/lisp/org/ox-beamer
/home/oub/emacs/site-lisp/packages/org/org-footnote hides /opt/emacs27/shar=
e/emacs/27.0.50/lisp/org/org-footnote
/home/oub/emacs/site-lisp/packages/org/org-list hides /opt/emacs27/share/em=
acs/27.0.50/lisp/org/org-list
/home/oub/emacs/site-lisp/packages/org/org-eww hides /opt/emacs27/share/ema=
cs/27.0.50/lisp/org/org-eww
/home/oub/emacs/site-lisp/versch/quickurl hides /opt/emacs27/share/emacs/27=
.0.50/lisp/net/quickurl
/home/oub/emacs/site-lisp/versch/hashcash hides /opt/emacs27/share/emacs/27=
.0.50/lisp/mail/hashcash
/home/oub/emacs/site-lisp/versch/hebrew hides /opt/emacs27/share/emacs/27.0=
.50/lisp/language/hebrew
/home/oub/emacs/site-lisp/versch/iso-cvt hides /opt/emacs27/share/emacs/27.=
0.50/lisp/international/iso-cvt
/home/oub/emacs/site-lisp/packages/personal-lisp/lisp hides /opt/emacs27/sh=
are/emacs/27.0.50/lisp/emacs-lisp/lisp
/home/oub/emacs/site-lisp/versch/longlines hides /opt/emacs27/share/emacs/2=
7.0.50/lisp/obsolete/longlines

Features:
(shadow emacsbug mule-util smtpmail mailalias feedmail bbdb-gui
gnus-async gnus-cite hashcash flyspell ispell orgalist auto-capitalize
footnote qp gnus-ml disp-table gnus-topic cursor-sensor utf-7 nndraft
nnmh nnml gnutls network-stream bbdb-gnus bbdb-snarf mail-extr nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp
gnus-cache edebug-x edebug backtrace which-func imenu org-bookmark
org-w3m org-rmail org-mhe org-irc org-info org-gnus org-eww org-docview
doc-view ob-R outorg_init navi-mode outorg-export calfw-org calfw
fill-column-indicator my-dired dired-tar dired-zip org-contacts
org-annotate-file my-downcase-abbrev under org-agenda-property
check-my-bcc bbdbadapt-sc-leader quail-acc exec-path-from-shell
move-text dired-filetype-face org-edit-latex preview prv-emacs tex-buf
latex latex-flymake flymake-proc flymake tex-ispell tex-style tex dbus
crm column-enforce-mode emoji-display emojify vigenere my-change-eq-ref
org-web-tools eww mm-url org-protocol-capture-html html2org
org-sync-github org-sync-bb org-sync org-cliplink org-cliplink-transport
org-cliplink-string em-glob esh-util my-indirect edit-indirect ox-gfm
el2org ox-org org-table-move-single-cell csv-to-xlsx bitbucket
bitbucket-issues bitbucket-http request bitbucket-api hide-region redo+
my-org-ref-html org-ref-core reftex-cite parsebib org-ref-glossary
org-ref-bibtex org-ref-citeproc key-chord hydra lv doi-utils
org-ref-utils org-ref-pdf pdf-tools pdf-view bookmark pp jka-compr
pdf-cache pdf-info tq pdf-util image-mode matlab-org-init ob-ipython
python tramp-sh tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat ls-lisp f dash-functional matlab-org-addon ox-epub ox-clip
htmlize ob-C cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs org-bibtex bibtex goto-chg
orgtbl-show-header visual-regexp hide-comnt path-headerline-mode pabbrev
thingatpt saveplace indirect radio ffap browse-kill-ring+
browse-kill-ring uimage url-ftp url-file url-dired url-queue image-file
iimage elpakit server shadchen outshine outshine-org-cmds outorg
latex-unicode-math-mode robin code-library gist gh-gist gh-oauth gh-api
logito gh-cache pcache gh-auth gh-url url-http url-auth url-gw nsm
writegood-mode writeroom-mode visual-fill-column xemacs-compat
weekly-view cal-desk-calendar lunar solar cal-dst diary-lib
diary-loaddefs holidays hol-loaddefs bm diff-hl smartrep vc-dir ahg
vc-annotate grep ewoc log-edit pcvs-util add-log align bibretrieve time
iso-transl iso-acc iso-cvt ref-master my-hg-commit auto-insert-tkld date
addl all iso-cleanupmath hgignore-mode vc-change-login backup-each-save
vc-ensure-checkin my-vc-addons vc latex-wcount dob-words latexdiff
daily-journal gnus-dired matlab-addons matlab-publish matlab_init gdb-mi
bindat cus-edit cus-start cus-load company-matlab-shell matlab gud
matlab-boxquote my-sc-addons gnus-encrypt gnorb-init gnorb gnorb-org
gnorb-registry gnorb-gnus gnorb-utils pcase org-capture org-attach
vc-git diff-mode org-id nngnorb nnir org_init ob-perl ob-ruby ob-shell
ob-python ob-latex org-tempo tempo ob-rec rec-mode hl-line
org-tracktable orgtbl-join org-table orglink org-auctex-keys ox-beamer
ob-octave ob-org org-mime org-protocol better-registers list-register
query-replace-region ediff-addons re-builder extview ox-pandoc ox-md
pandoc-export anti-niqqud sigadapt-simple sigadapt sendmail
bbdbadapt-sc-nested texify-article supercite regi bbdbciteadpt filladapt
next-longline recentf tree-widget moy-bbdb my-addons org-addons ox-odt
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table
ox-ascii ox-publish ox org-install sp-eng-ger-fr-minor folding-isearch
folding bbdbadapt-top-posting pgp-mime-attach-key my-smiley
gnus-move-display-attachment epa-file boxquote rect gnus-registry
registry eieio-base gnus-art mm-uu mml2015 mm-view mml-smime smime dig
gnus-sum url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf mailcap shr svg xml dom gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
parse-time iso8601 gnus-spec gnus-win gnus-int gnus-range message rmc
puny dired dired-loaddefs rfc822 mml mml-sec epa derived epg epg-config
mm-decode mm-bodies mm-encode gmm-utils mailheader gnus nnheader
gnus-util rmail rmail-loaddefs text-property-search mail-utils wid-edit
my-gnus-mime-setting gnus-init bbdb-init vc-dispatcher vc-hg bbdb-expire
bbdb-hooks mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr bbdb-com warnings mailabbrev bbdb-autoloads bbdbadapt-ispell
bbdbadapt-gcc bbdbadapt-encrypt my-bbdb-addons bbdb timezone
org-remember org-datetree org-element avl-tree generator
org-location-google-maps org-agenda google-maps google-maps-static
url-util google-maps-geocode google-maps-base org-inset-dblock org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint ob-keys org-pcomplete org-list org-faces org-entities
time-date noutline outline easy-mmode org-version ob-emacs-lisp ob-core
ob-eval org-compat org-macs org-loaddefs format-spec find-func cal-menu
calendar cal-loaddefs remember my-toggle-functions extra emacs_keys
csv-mode sort comment my-hebrew-init toggle my-mark quail my-latex-env
my-auctex-init reftex reftex-loaddefs reftex-vars tex-delete-comment
latex-keys tex-addons item-kill my-fill-latex-sentence edmacro kmacro
my-change-prettify-list tex-mode compile shell pcomplete comint
ansi-color ring preview-latex flyspell-abbrev-multilang
iv-sp-am-br-ger-fr-minor arash-bibtex-changelog finder-inf advice
gh-common gh-profile rx cl-extra help-mode s marshal eieio-compat ht
dash tex-site cl info package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1855580 179115)
 (symbols 48 84514 1)
 (strings 32 977454 25551)
 (string-bytes 1 39407445)
 (vectors 16 82784)
 (vector-slots 8 1297554 56764)
 (floats 8 1056 205)
 (intervals 56 2378 54)
 (buffers 992 37)
 (heap 1024 189937 11900))

--=-=-=
Content-Type: application/pkcs7-signature; name=smime.p7s
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=smime.p7s


--=-=-=--




Acknowledgement sent to Uwe Brauer <oub@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37025; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 15 Aug 2019 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.